=== test/BRepOffsetAPI_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepOffsetAPI_test "TKOffset")
endif (OCE_MODEL)
