=== test/SortTools_test/CMakeLists.txt ===
add_oce_test(sorttools_test "TKernel")
