=== test/gp_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(gp_test "TKG2d")
endif (OCE_MODEL)
