=== debian/changelog ===
oce (0.15-4) unstable; urgency=medium

  * Fix multiarch: move oce-config.h into /usr/include/<triplet>.
    Closes: #739558.

 -- Denis Barbier <barbier@debian.org>  Mon, 03 Mar 2014 09:49:43 +0100

oce (0.15-3) unstable; urgency=medium

  * debian/rules: fix CMAKE_BUILD_TYPE.
  * debian/control: add Build-Depends: libfreetype-dev
  * debian/control: add various Depends in liboce-*-dev packages, since
    libraries are referenced in CMake files shipped by these packages.

 -- Denis Barbier <barbier@debian.org>  Thu, 20 Feb 2014 17:12:23 +0100

oce (0.15-2) unstable; urgency=medium

  * Upload into unstable.
  * debian/patches/include-oce-config.patch: New patch, to fix
    header files so that programs building against OCE do not
    need to pass -DHAVE_CONFIG_H flag.

 -- Denis Barbier <barbier@debian.org>  Wed, 19 Feb 2014 01:01:20 +0100

oce (0.15-1) experimental; urgency=medium

  * Package official OCE 0.15 release.
  * debian/copyright: Update, several files were missing.

 -- Denis Barbier <barbier@debian.org>  Thu, 13 Feb 2014 23:36:32 +0100

oce (0.15~pre1-1) experimental; urgency=medium

  * New upstream version.
  * Relicensed to LGPL 2.1.  Closes: #736249

 -- Denis Barbier <barbier@debian.org>  Sun, 09 Feb 2014 22:40:39 +0100

oce (0.14.1-1) experimental; urgency=medium

  * New upstream version.
  * debian/patches/fix-FTBFS-armel.patch: Patch dropped, applied
    upstream.
  * debian/control: remove Build-Depends: libftgl-dev, FTGL is no
    more used.
  * debian/control: add Build-Depends: libfreeimage-dev, it was
    missing.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Denis Barbier <barbier@debian.org>  Mon, 03 Feb 2014 17:31:57 +0100

oce (0.13-4) experimental; urgency=low

  * debian/rules: pass -DFREETYPE_INCLUDE_DIR_freetype2=/usr/include/freetype2
    option to CMake in order to workaround bug #731089.  This allows
    building with Freetype 2.4 and 2.5.

 -- Denis Barbier <barbier@debian.org>  Mon, 02 Dec 2013 21:37:22 +0100

oce (0.13-3) experimental; urgency=low

  * testMeshTorus test timeouts on mips when building package; make
    this test perform less checks in order to avoid this timeout.

 -- Denis Barbier <barbier@debian.org>  Sat, 30 Nov 2013 18:55:04 +0100

oce (0.13-2) experimental; urgency=low

  * debian/patches/NCollection-align-64bit.patch: New patch, to align
    words on 64 bit.  This fixes FTBFS on mips, mipsel and sparc.
  * debian/patches/fix-FTBFS-armel.patch: New patch, to fix FTBFS
    on armel.

 -- Denis Barbier <barbier@debian.org>  Tue, 26 Nov 2013 21:59:30 +0100

oce (0.13-1) experimental; urgency=low

  * New upstream version, SONAME bumped.
  * debian/patches/fix-Hurd.patch: Patch dropped, applied
    upstream.

 -- Denis Barbier <barbier@debian.org>  Mon, 23 Sep 2013 19:41:32 +0200

oce (0.12-4) unstable; urgency=low

  * debian/patches/split-export.patch: Fix find_package(oce) by
    loading 'visualization' targets before 'ocaf' ones.  This
    command currently spits out with this message:
      The following imported targets are referenced, but are missing:
        TKV3d TKService TKV2d
  * debian/control: Also let liboce-ocaf-dev depend on liboce-visualization-dev.

 -- Denis Barbier <barbier@debian.org>  Wed, 07 Aug 2013 22:47:40 +0200
